Bug 41796 - mount -t ufs fails on RH 7.1
mount -t ufs fails on RH 7.1
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-22 02:30 EDT by Daryl Spartz
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-28 12:50:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daryl Spartz 2001-05-22 02:30:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90)

Description of problem:
Two disks. First with LILO and FreeBSD, second with RH7.0. Both boot ok. 
Booting under Linux, I am able to mount -t ufs -o ufstype=44bsd the 
partitions (slices) of the first drive.

Upgraded Linux to RH 7.1. LILO still able to boot either one. Now, mount 
fails with generic message about wrong filesystem type, or option, or bad 
superblock

How reproducible:
Always

Steps to Reproduce:
1.mount -t ufs -o ufstype=44bsd /dev/hda5 /mnt/freebsd/root
2.
3.
	

Actual Results:  mount failed. (Actual msg will be added later)

Additional info:
Comment 1 Daryl Spartz 2001-05-22 12:44:56 EDT
failing msg:

mount: wrong fs type, bad option, bad superblock on /dev/hda5,
or too many mounted file systems
(could this be the IDE device where you in fact use
ide-scsi so that sr0 or sda or so is needed?)

It is an IDE drive, just the default file systems mounted:

/dev/hdb6 on / type ext2 (rw)
none on /proc type proc (rw)
usbdevfs on /proc/bus/us type usbdevfs (rw)
/dev/hdb1 on /boot type ext2 (rw)
none on /dev/pts type devpts (rw,gid=5,mode=620)
automount(pid617) on /misc type autofs (rw,fd=5,pgrp=617,minproto=2,maxproto=3)
Comment 2 Arjan van de Ven 2001-05-23 04:56:26 EDT
Could you download and install the 2.4.3-5 or 2.4.3-7 kernel from rawhide?
Those should have BSD partitiontype support at least.
Comment 3 Daryl Spartz 2001-05-24 18:03:46 EDT
The 2.4.3-5 kernel was found at rawhide, not the 2.4.3-7. I installed it. The 
same error appears, but this time dmesg indicated that read-only mode was 
compiled in. So when I add option -r, the mount is successful. So, the only 
problem now is the incorrect or too ambiguous error message.
Comment 4 Arjan van de Ven 2001-05-25 04:20:09 EDT
The errormessage is generated by "mount" -> reassigning to get the message fixed
Comment 5 Bernhard Rosenkraenzer 2002-01-17 14:17:39 EST
Assigning to util-linux, where mount lives these days
Comment 6 Elliot Lee 2002-01-29 17:00:47 EST
I don't know of a way to convince the kernel to provide details of the failure,
which is why the error message is so generic.

Note You need to log in before you can comment on or make changes to this bug.